CREATE TABLE ACTLISTAS ( 
LIS_NUM INT DEFAULT (0) NOT NULL,
LIS_COD VARCHAR(16) NOT NULL,
LIS_COS MONEY DEFAULT (0),
LIS_CPM MONEY DEFAULT (0),
LIS_PA1 MONEY DEFAULT (0),
LIS_PA2 MONEY DEFAULT (0),
LIS_PA3 MONEY DEFAULT (0),
LIS_PN1 MONEY DEFAULT (0),
LIS_PN2 MONEY DEFAULT (0),
LIS_PN3 MONEY DEFAULT (0)
 CONSTRAINT PK_ACTLISTAS PRIMARY KEY CLUSTERED (LIS_NUM,LIS_COD),
 CONSTRAINT CK__ACTLISTAS__LIS_C__7D439ABD CHECK ((len([LIS_COD]) > 0)))
CREATE TABLE ACTPRECIOS ( 
ACT_NUM INT DEFAULT (0) NOT NULL,
ACT_FEC SMALLDATETIME,
ACT_OBS VARCHAR(50)
 CONSTRAINT PK_ACTPRECIOS PRIMARY KEY CLUSTERED (ACT_NUM))
CREATE TABLE AUDITORIA ( 
AUD_USU VARCHAR(8) NOT NULL,
AUD_FRE SMALLDATETIME,
AUD_FEN SMALLDATETIME,
AUD_FSA SMALLDATETIME,
AUD_CER BIT DEFAULT (0) NOT NULL,
AUD_CIA CHAR(2) DEFAULT ('01') NOT NULL
 CONSTRAINT CK__AUDITORIA__AUD_C__0C85DE4D CHECK ((len([AUD_CIA]) > 0)),
 CONSTRAINT CK__AUDITORIA__AUD_U__09A971A2 CHECK ((len([AUD_USU]) > 0)))
CREATE TABLE INTEGRACION ( 
MOV_USU VARCHAR(5) NOT NULL,
MOV_TIP VARCHAR(3) NOT NULL,
MOV_NUM INT DEFAULT ((0)) NOT NULL,
MOV_CIA CHAR(2) DEFAULT ('01') NOT NULL,
MOV_ITM INT DEFAULT ((0)) NOT NULL,
MOV_FEC SMALLDATETIME NOT NULL,
MOV_CUE VARCHAR(16) NOT NULL,
MOV_DET VARCHAR(100),
MOV_DEB MONEY DEFAULT ((0)),
MOV_CRE MONEY DEFAULT ((0)),
MOV_CON VARCHAR(3),
MOV_NIT VARCHAR(11),
MOV_BAS MONEY DEFAULT ((0)),
MOV_TDC VARCHAR(3),
MOV_DOC INT DEFAULT ((0)),
MOV_CDC CHAR(2) DEFAULT ('01'),
MOV_TFA VARCHAR(3),
MOV_FAC VARCHAR(10),
MOV_NV DECIMAL(10,4) DEFAULT ((0)),
MOV_CFA CHAR(2) DEFAULT ('01'),
MOV_FVC SMALLDATETIME,
MOV_CTA VARCHAR(3),
MOV_CHE VARCHAR(20),
MOV_INT BIT DEFAULT ((0)) NOT NULL,
MOV_VEN CHAR(1) DEFAULT ('N'),
MOV_CC VARCHAR(3),
MOV_AGE VARCHAR(9) DEFAULT ('N'),
MOV_CMP VARCHAR(3),
MOV_NIF VARCHAR(16),
MOV_NNI VARCHAR(11),
MOV_NBA MONEY DEFAULT ((0)),
MOV_NCC VARCHAR(3),
MOV_NAG VARCHAR(9),
MOV_NCT VARCHAR(3),
MOV_ADN INT DEFAULT ((0)),
MOV_VAL MONEY DEFAULT ((0))
 CONSTRAINT PK_INTEGRACION PRIMARY KEY CLUSTERED (MOV_USU,MOV_TIP,MOV_NUM,MOV_CIA,MOV_ITM),
 CONSTRAINT CK__INTEGRACI__MOV_C__1332DBDC CHECK ((len([MOV_CIA])>(0))),
 CONSTRAINT CK__INTEGRACI__MOV_C__151B244E CHECK ((len([MOV_CUE])>(0))),
 CONSTRAINT CK__INTEGRACI__MOV_T__10566F31 CHECK ((len([MOV_TIP])>(0))),
 CONSTRAINT CK__INTEGRACI__MOV_U__0F624AF8 CHECK ((len([MOV_USU])>(0))))
CREATE TABLE LOGADI ( 
LOG_FEC SMALLDATETIME NOT NULL,
LOG_CIA CHAR(2) DEFAULT ('01') NOT NULL,
LOG_TIP VARCHAR(3) NOT NULL,
LOG_NUM INT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LOGADI PRIMARY KEY CLUSTERED (LOG_FEC,LOG_CIA,LOG_TIP),
 CONSTRAINT CK__LOGADI__LOG_CIA__22751F6C CHECK ((len([LOG_CIA]) > 0)),
 CONSTRAINT CK__LOGADI__LOG_TIP__236943A5 CHECK ((len([LOG_TIP]) > 0)))
CREATE TABLE LOGAPD ( 
LOG_TIP VARCHAR(3) NOT NULL,
LOG_NUM INT DEFAULT (0) NOT NULL,
LOG_CIA CHAR(2) DEFAULT ('01') NOT NULL,
LOG_TDC VARCHAR(3) NOT NULL,
LOG_DOC INT DEFAULT (0) NOT NULL,
LOG_CDC CHAR(2) DEFAULT ('01') NOT NULL,
LOG_FDC SMALLDATETIME,
LOG_BAS VARCHAR(3),
LOG_OBS VARCHAR(50),
LOG_ID INT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LOGAPD PRIMARY KEY CLUSTERED (LOG_TIP,LOG_NUM,LOG_CIA,LOG_TDC,LOG_DOC,LOG_CDC),
 CONSTRAINT CK__LOGAPD__LOG_CDC__2DE6D218 CHECK ((len([LOG_CDC]) > 0)),
 CONSTRAINT CK__LOGAPD__LOG_CIA__2A164134 CHECK ((len([LOG_CIA]) > 0)),
 CONSTRAINT CK__LOGAPD__LOG_TDC__2B0A656D CHECK ((len([LOG_TDC]) > 0)),
 CONSTRAINT CK__LOGAPD__LOG_TIP__2739D489 CHECK ((len([LOG_TIP]) > 0)))
CREATE TABLE LogDocImagenes ( 
TipDoc VARCHAR(3) NOT NULL,
Documento INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
NomArchivo VARCHAR(150) NOT NULL,
ImagenBin IMAGE
 CONSTRAINT PK_LogDocImagenes PRIMARY KEY CLUSTERED (TipDoc,Documento,IdCia),
 CONSTRAINT CK_LogDocImagenesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogDocImagenesNomArchivo CHECK ((len([NomArchivo])>(0))),
 CONSTRAINT CK_LogDocImagenesTipDoc CHECK ((len([TipDoc])>(0))))
CREATE TABLE LOGEXP ( 
LOG_ID INT DEFAULT (0) NOT NULL,
LOG_CIA CHAR(2) DEFAULT ('01') NOT NULL,
LOG_TAB VARCHAR(20) NOT NULL,
LOG_TIP VARCHAR(3) NOT NULL,
LOG_FEC SMALLDATETIME NOT NULL,
LOG_OBS VARCHAR(50),
LOG_USU VARCHAR(10)
 CONSTRAINT PK_LOGEXP PRIMARY KEY CLUSTERED (LOG_ID,LOG_CIA,LOG_TAB,LOG_TIP),
 CONSTRAINT CK__LOGEXP__LOG_CIA__339FAB6E CHECK ((len([LOG_CIA]) > 0)),
 CONSTRAINT CK__LOGEXP__LOG_TAB__3493CFA7 CHECK ((len([LOG_TAB]) > 0)),
 CONSTRAINT CK__LOGEXP__LOG_TIP__3587F3E0 CHECK ((len([LOG_TIP]) > 0)))
CREATE TABLE LogImagenes ( 
TipoReg VARCHAR(10) NOT NULL,
IdRegistro VARCHAR(16) NOT NULL,
ImagenBin IMAGE NOT NULL,
NomArchivo VARCHAR(50),
DescRegistro VARCHAR(100)
 CONSTRAINT PK_LogImagenes PRIMARY KEY CLUSTERED (TipoReg,IdRegistro))
CREATE TABLE LOGIMP ( 
LOG_ID INT DEFAULT (0) NOT NULL,
LOG_TIP VARCHAR(3) NOT NULL,
LOG_NUM INT DEFAULT (0) NOT NULL,
LOG_CIA CHAR(2) DEFAULT ('01') NOT NULL,
LOG_CMP INT DEFAULT (0) NOT NULL,
LOG_FEC SMALLDATETIME,
LOG_TAB VARCHAR(20),
LOG_BAS VARCHAR(3),
LOG_OBS VARCHAR(50),
LOG_OK BIT DEFAULT (0) NOT NULL,
LOG_EXI BIT DEFAULT (0) NOT NULL,
LOG_USU VARCHAR(10)
 CONSTRAINT PK_LOGIMP PRIMARY KEY CLUSTERED (LOG_ID,LOG_TIP,LOG_NUM,LOG_CIA,LOG_CMP),
 CONSTRAINT CK__LOGIMP__LOG_CIA__3C34F16F CHECK ((len([LOG_CIA]) > 0)),
 CONSTRAINT CK__LOGIMP__LOG_TIP__395884C4 CHECK ((len([LOG_TIP]) > 0)))
CREATE TABLE LOGINT ( 
LOG_ID INT DEFAULT (0) NOT NULL,
LOG_TIP VARCHAR(3) NOT NULL,
LOG_NUM INT DEFAULT (0) NOT NULL,
LOG_CIA CHAR(2) DEFAULT ('01') NOT NULL,
LOG_FEC SMALLDATETIME,
LOG_CMP VARCHAR(3),
LOG_NCP INT DEFAULT (0),
LOG_OBS VARCHAR(50),
LOG_USU VARCHAR(10)
 CONSTRAINT PK_LOGINT PRIMARY KEY CLUSTERED (LOG_ID,LOG_TIP,LOG_NUM,LOG_CIA),
 CONSTRAINT CK__LOGINT__LOG_CIA__45BE5BA9 CHECK ((len([LOG_CIA]) > 0)),
 CONSTRAINT CK__LOGINT__LOG_TIP__42E1EEFE CHECK ((len([LOG_TIP]) > 0)))
CREATE TABLE LOGIPM ( 
LOG_TAB VARCHAR(20) NOT NULL,
LOG_COD VARCHAR(16) NOT NULL,
LOG_ID INT DEFAULT (0) NOT NULL,
LOG_CL1 VARCHAR(16),
LOG_CL2 VARCHAR(16),
LOG_CL3 VARCHAR(16),
LOG_CL4 VARCHAR(16),
LOG_EXI BIT DEFAULT (0) NOT NULL,
LOG_OBS VARCHAR(50),
LOG_NIT VARCHAR(11)
 CONSTRAINT PK_LOGIPM PRIMARY KEY CLUSTERED (LOG_TAB,LOG_COD,LOG_ID),
 CONSTRAINT CK__LOGIPM__LOG_COD__4A8310C6 CHECK ((len([LOG_COD]) > 0)),
 CONSTRAINT CK__LOGIPM__LOG_TAB__498EEC8D CHECK ((len([LOG_TAB]) > 0)))
CREATE TABLE LogNiifAux ( 
IdEstacion CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdBodega VARCHAR(3) DEFAULT ('0') NOT NULL,
SaldoAnt DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Entradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Salidas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
SaldoFinal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoAnt MONEY DEFAULT ((0)) NOT NULL,
CostoEnt MONEY DEFAULT ((0)) NOT NULL,
CostoSal MONEY DEFAULT ((0)) NOT NULL,
CostoFinal MONEY DEFAULT ((0)) NOT NULL,
CostoProm MONEY DEFAULT ((0)) NOT NULL,
CostoCompra MONEY DEFAULT ((0)) NOT NULL,
PrecioLta1 MONEY DEFAULT ((0)) NOT NULL,
PrecioLta2 MONEY DEFAULT ((0)) NOT NULL,
CostoActual MONEY DEFAULT ((0)) NOT NULL,
DescripProd VARCHAR(250),
Bodega VARCHAR(50),
Compania VARCHAR(50),
EstadoAct INT DEFAULT ((0)) NOT NULL,
IdSubgrupo VARCHAR(3),
Subgrupo VARCHAR(50)
 CONSTRAINT PK_LogNiifAux PRIMARY KEY CLUSTERED (IdEstacion,Item),
 CONSTRAINT CK_LogNiifAuxIdBodega CHECK ((len([IdBodega])>(0))),
 CONSTRAINT CK_LogNiifAuxIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogNiifAuxIdEstacion CHECK ((len([IdEstacion])>(0))),
 CONSTRAINT CK_LogNiifAuxIdProducto CHECK ((len([IdProducto])>(0))))
CREATE TABLE LogNiifCarComp ( 
TipDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
TipoCompNiif VARCHAR(3) NOT NULL,
NumCompNiif INT DEFAULT ((0)) NOT NULL,
TipoCompFis VARCHAR(3) NOT NULL,
NumCompFis INT DEFAULT ((0)) NOT NULL,
CodCuentaDb VARCHAR(16),
CodCuentaCr VARCHAR(16)
 CONSTRAINT PK_LogNiifCarComp PRIMARY KEY CLUSTERED (TipDoc,Numero,IdCia),
 CONSTRAINT CK_LogNiifCarCompIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogNiifCarCompTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_LogNiifCarCompTipoCompFis CHECK ((len([TipoCompFis])>(0))),
 CONSTRAINT CK_LogNiifCarCompTipoCompNiif CHECK ((len([TipoCompNiif])>(0))))
CREATE TABLE LogNiifCarDetalle ( 
TipDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT ((0)) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipFac VARCHAR(3) NOT NULL,
Factura VARCHAR(15) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
ItemFac INT DEFAULT ((1)) NOT NULL,
Documento INT DEFAULT ((0)) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16),
IdCuenta VARCHAR(16),
Fecha SMALLDATETIME NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
FecUltLiq SMALLDATETIME,
FecUltPago SMALLDATETIME,
FecLiquidac SMALLDATETIME NOT NULL,
VrFactura MONEY DEFAULT ((0)) NOT NULL,
VrAbonado MONEY DEFAULT ((0)) NOT NULL,
VrBaseLiq MONEY DEFAULT ((0)) NOT NULL,
NumDias INT DEFAULT ((0)) NOT NULL,
VrLiquidacion MONEY DEFAULT ((0)) NOT NULL,
Referencia VARCHAR(50),
Descripcion VARCHAR(250),
TipRef VARCHAR(3),
DocRef INT DEFAULT ((0)) NOT NULL,
IdCiaRef CHAR(2),
RazonSocial VARCHAR(250),
Agencia VARCHAR(150),
NombreCia VARCHAR(50),
TasaInt DECIMAL(16,6) DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_LogNiifCarDetalle PRIMARY KEY CLUSTERED (TipDoc,Numero,Item),
 CONSTRAINT CK_LogNiifCarDetalleFactura CHECK ((len([Factura])>(0))),
 CONSTRAINT CK_LogNiifCarDetalleIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogNiifCarDetalleIdTercero CHECK ((len([IdTercero])>(0))),
 CONSTRAINT CK_LogNiifCarDetalleTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_LogNiifCarDetalleTipFac CHECK ((len([TipFac])>(0))))
CREATE TABLE LogNiifCartera ( 
TipDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT ((0)) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TasaEfe DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Estado INT DEFAULT ((0)) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(250),
CodTasa VARCHAR(3),
DiasGracia INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_LogNiifCartera PRIMARY KEY CLUSTERED (TipDoc,Numero),
 CONSTRAINT CK_LogNiifCarteraIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogNiifCarteraNombre CHECK ((len([Nombre])>(0))),
 CONSTRAINT CK_LogNiifCarteraTipDoc CHECK ((len([TipDoc])>(0))))
CREATE TABLE LogNiifIntegra ( 
Id INT IDENTITY ( 1,1 ) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipoCom VARCHAR(3) NOT NULL,
Numero INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
NiifTipo VARCHAR(3),
NiifNumero INT DEFAULT ((0)) NOT NULL,
FisTipo VARCHAR(3),
FisNumero INT DEFAULT ((0)) NOT NULL,
Estado INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(250),
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogNiifIntegra PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_LogNiifIntegraIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogNiifIntegraIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogNiifIntegraNombre CHECK ((len([Nombre])>(0))),
 CONSTRAINT CK_LogNiifIntegraTipoCom CHECK ((len([TipoCom])>(0))))
CREATE TABLE LogNiifInv ( 
Numero INT DEFAULT ((0)) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
CdCia CHAR(2) DEFAULT ('0') NOT NULL,
Estado INT DEFAULT ((0)) NOT NULL,
TipoCosto VARCHAR(3),
FechaCrea SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(250)
 CONSTRAINT PK_LogNiifInv PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogNiifInvCdCia CHECK ((len([CdCia])>(0))),
 CONSTRAINT CK_LogNiifInvIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogNiifInvNombre CHECK ((len([Nombre])>(0))))
CREATE TABLE LogNiifInvComp ( 
Numero INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
TipoCompNiif VARCHAR(3) NOT NULL,
NumCompNiif INT DEFAULT ((0)) NOT NULL,
TipoCompFis VARCHAR(3) NOT NULL,
NumCompFis INT DEFAULT ((0)) NOT NULL,
CodCuentaDb VARCHAR(16),
CodCuentaCr VARCHAR(16)
 CONSTRAINT PK_LogNiifInvComp PRIMARY KEY CLUSTERED (Numero,IdCia),
 CONSTRAINT CK_LogNiifInvCompIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogNiifInvCompTipoCompFis CHECK ((len([TipoCompFis])>(0))),
 CONSTRAINT CK_LogNiifInvCompTipoCompNiif CHECK ((len([TipoCompNiif])>(0))))
CREATE TABLE LogNiifProd ( 
Numero INT DEFAULT ((0)) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdSubgrupo VARCHAR(3),
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoTotal MONEY DEFAULT ((0)) NOT NULL,
CostoProm MONEY DEFAULT ((0)) NOT NULL,
CostoCompra MONEY DEFAULT ((0)) NOT NULL,
PrecioLta1 MONEY DEFAULT ((0)) NOT NULL,
PrecioLta2 MONEY DEFAULT ((0)) NOT NULL,
CostoActual MONEY DEFAULT ((0)) NOT NULL,
VrAjuste DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
DescripProd VARCHAR(250),
Compania VARCHAR(50),
Subgrupo VARCHAR(50)
 CONSTRAINT PK_LogNiifProd PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogNiifProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogNiifProdIdProducto CHECK ((len([IdProducto])>(0))))
CREATE TABLE LOGPMT ( 
LOG_TAB VARCHAR(20) NOT NULL,
LOG_COD VARCHAR(16) NOT NULL,
LOG_TIP CHAR(1) DEFAULT ('E') NOT NULL,
LOG_CAM VARCHAR(10) NOT NULL,
LOG_BAS VARCHAR(3),
LOG_OBS VARCHAR(50),
LOG_NIT VARCHAR(11) DEFAULT ('0')
 CONSTRAINT PK_LOGPMT PRIMARY KEY CLUSTERED (LOG_TAB,LOG_COD,LOG_TIP),
 CONSTRAINT CK__LOGPMT__LOG_CAM__531856C7 CHECK ((len([LOG_CAM]) > 0)),
 CONSTRAINT CK__LOGPMT__LOG_COD__503BEA1C CHECK ((len([LOG_COD]) > 0)),
 CONSTRAINT CK__LOGPMT__LOG_TAB__4F47C5E3 CHECK ((len([LOG_TAB]) > 0)),
 CONSTRAINT CK__LOGPMT__LOG_TIP__5224328E CHECK ((len([LOG_TIP]) > 0)))

CREATE TABLE LogTmSoporte ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(1000) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorOper DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetencion DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrBomberil DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrAviTab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaBom DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaAvta DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CodTarDct VARCHAR(4),
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
CodTarifBom VARCHAR(4),
CodTarifAvta VARCHAR(4),
ItemCom INT DEFAULT ((0)) NOT NULL,
CdCuenta VARCHAR(16),
CdCueCre VARCHAR(16),
IdSubgrupo VARCHAR(8),
NitTercero VARCHAR(16),
NomTercero VARCHAR(150),
Producto VARCHAR(250)
 CONSTRAINT PK_LogTmSoporte PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmSoporteDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmSoporteIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmSoporteIdUsuario CHECK ((len([IdUsuario])>(0))))
CREATE TABLE LOGSYS ( 
LOG_USU VARCHAR(8) NOT NULL,
LOG_CIA CHAR(2) DEFAULT ('01') NOT NULL,
LOG_TIP VARCHAR(3) NOT NULL,
LOG_ID INT DEFAULT (0) NOT NULL,
LOG_NUM VARCHAR(10) NOT NULL,
LOG_FEC SMALLDATETIME,
LOG_FRE SMALLDATETIME,
LOG_CMP BIT DEFAULT (0) NOT NULL,
LOG_ELI BIT DEFAULT (0) NOT NULL,
LOG_PRE BIT DEFAULT (0) NOT NULL,
LOG_DOC VARCHAR(250)
 CONSTRAINT PK_LOGSYS PRIMARY KEY CLUSTERED (LOG_USU,LOG_CIA,LOG_TIP,LOG_ID),
 CONSTRAINT CK__LOGSYS__LOG_CIA__58D1301D CHECK ((len([LOG_CIA]) > 0)),
 CONSTRAINT CK__LOGSYS__LOG_NUM__5BAD9CC8 CHECK ((len([LOG_NUM]) > 0)),
 CONSTRAINT CK__LOGSYS__LOG_TIP__59C55456 CHECK ((len([LOG_TIP]) > 0)),
 CONSTRAINT CK__LOGSYS__LOG_USU__56E8E7AB CHECK ((len([LOG_USU]) > 0)))
GO
 CREATE CLUSTERED INDEX IX_LogNiifIntegraNumero ON LogNiifIntegra(TipoCom,Numero,IdCia)
GO
